Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022923
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-01-29 15:552013-02-18 10:00
ReporteregoitzView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisiond0dbfd0f4d02
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP19.2SCM revision 
Review Assigned ToAugustoMauch
Web browserApple Safari
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022923: Cursors not closed

DescriptionThere are some files executing prepared statments and then these statments are not closed.

org.openbravo.base.OBSchedulerInitializerListener -> method contextInitialized

org.openbravo.service.system.SystemService -> methods deleteClient,resetSafeMode,killConnectionsAndSafeMode

org.openbravo.erpCommon.ad_process.ApplyModulesCallServlet -> method getError

org.openbravo.service.db.CallStoredProcedure -> method call (in this case it is closed but not on the finally block so if the procedure fails the statment is not closed)

org.openbravo.base.model.ModelProvider -> method initializeReferenceClasses

org.openbravo.utils.OBRebuildAppender -> method append
Steps To Reproduce check the code
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00227373.0MP20 closedmtaal Close preparedstatement in DalSessionFactory 

-  Notes
(0055971)
hgbot (developer)
2013-01-30 12:36

Repository: erp/devel/pi
Changeset: d0dbfd0f4d02d5ce2f4810595128c35f307077dc
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Jan 30 12:36:06 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d0dbfd0f4d02d5ce2f4810595128c35f307077dc [^]

Fixes issue 22923: Cursors not closed
Add explicit statement close

---
M src-core/src/org/openbravo/utils/OBRebuildAppender.java
M src/org/openbravo/base/OBSchedulerInitializerListener.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/erpCommon/ad_process/ApplyModulesCallServlet.java
M src/org/openbravo/service/db/CallStoredProcedure.java
M src/org/openbravo/service/system/SystemService.java
---
(0055972)
mtaal (developer)
2013-01-30 12:37

As a test I added breakpoints in all the change locations and executed different parts of the system:
- start the application
- install a module
- delete a client
- executed the DalStoredProcedureTest test

All passed correctly
(0055974)
hgbot (developer)
2013-01-30 14:28

Repository: erp/devel/pi
Changeset: b34d87f25d55f5fbd17730c47910e5bca5cf29e1
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Jan 30 14:27:43 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b34d87f25d55f5fbd17730c47910e5bca5cf29e1 [^]

Related to issue 22923: Cursors not closed
Solve api issue

---
M src/org/openbravo/erpCommon/ad_process/ApplyModulesCallServlet.java
---
(0056089)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056090)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test
(0056509)
AugustoMauch (developer)
2013-02-18 10:00

Code reviewed and verified in pi@77ec6bfa0b6f

- Issue History
Date Modified Username Field Change
2013-01-29 15:55 egoitz New Issue
2013-01-29 15:55 egoitz Assigned To => mtaal
2013-01-29 15:55 egoitz Web browser => Apple Safari
2013-01-29 15:55 egoitz Modules => Core
2013-01-29 15:55 egoitz Triggers an Emergency Pack => No
2013-01-29 15:55 egoitz Tag Attached: Performance
2013-01-29 15:55 egoitz Relationship added related to 0022737
2013-01-30 09:51 shuehner Issue Monitored: shuehner
2013-01-30 12:36 hgbot Checkin
2013-01-30 12:36 hgbot Note Added: 0055971
2013-01-30 12:36 hgbot Status new => resolved
2013-01-30 12:36 hgbot Resolution open => fixed
2013-01-30 12:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d0dbfd0f4d02d5ce2f4810595128c35f307077dc [^]
2013-01-30 12:37 mtaal Note Added: 0055972
2013-01-30 14:28 hgbot Checkin
2013-01-30 14:28 hgbot Note Added: 0055974
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056089
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056090
2013-02-18 10:00 AugustoMauch Review Assigned To => AugustoMauch
2013-02-18 10:00 AugustoMauch Note Added: 0056509
2013-02-18 10:00 AugustoMauch Status resolved => closed
2013-02-18 10:00 AugustoMauch Fixed in Version => 3.0MP20


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker